Classes
STOFFParser.hxx File Reference
`#include <ostream>`
`#include <string>`
`#include <vector>`
`#include "STOFFDebug.hxx"`
`#include "STOFFInputStream.hxx"`
`#include "STOFFEntry.hxx"`
`#include "STOFFHeader.hxx"`
`#include "STOFFPageSpan.hxx"`

Go to the source code of this file.

## Classes
class | STOFFParserState
| a class to define the parser state More...
class | STOFFParser
| virtual class which defines the ancestor of all main zone parser More...
class | STOFFTextParser
| virtual class which defines the ancestor of all text zone parser More...
class | STOFFGraphicParser
| virtual class which defines the ancestor of all graphic/presentation zone parser More...
class | STOFFSpreadsheetParser
| virtual class which defines the ancestor of all spreadsheet zone parser More...